Package net.postgis.jdbc

# Class Version

java.lang.Object
net.postgis.jdbc.Version

public class Version extends Object
Corresponds to the appropriate PostGIS that carried this source

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FULL`
Full version for human reading - code should use the constants above
`static final int`
`MAJOR`
The major version
`static final String`
`MICRO`
The micro version, usually a number including possibly textual suffixes like RC3.
`static final int`
`MINOR`
The minor version
`static final String`
`VERSION`

## Constructor Summary

Constructors
Constructor
Description
`Version()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getFullVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VERSION

public static final String VERSION

### MAJOR

public static final int MAJOR
The major version

### MINOR

public static final int MINOR
The minor version

### MICRO

public static final String MICRO
The micro version, usually a number including possibly textual suffixes like RC3.

### FULL

public static final String FULL
Full version for human reading - code should use the constants above

## Constructor Details

### Version

public Version()

## Method Details

### getFullVersion

public static String getFullVersion()